#
# spec file for package perl-Archive-Tar (Version 1.30)
#
# Copyright (c) 2007 SUSE LINUX Products GmbH, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild
# usedforbuild    aaa_base acl attr audit-libs autoconf automake bash bind-libs bind-utils binutils bison bzip2 coreutils cpio cpp cpp41 cracklib cvs cyrus-sasl db diffutils e2fsprogs file filesystem fillup findutils flex gawk gcc gcc41 gdbm gdbm-devel gettext gettext-devel glibc glibc-devel glibc-locale gpm grep groff gzip info insserv klogd less libacl libattr libcom_err libgcc41 libltdl libmudflap41 libnscd libstdc++41 libtool libvolume_id libxcrypt libzio linux-kernel-headers m4 make man mktemp module-init-tools ncurses ncurses-devel net-tools netcfg openldap2-client openssl pam pam-modules patch perl perl-Compress-Zlib perl-IO-String perl-IO-Zlib permissions popt procinfo procps psmisc pwdutils rcs readline rpm sed strace sysvinit tar tcpd texinfo timezone unzip util-linux vim zlib zlib-devel

Name:           perl-Archive-Tar
URL:            http://cpan.org/modules/by-module/Archive/
BuildRequires:  perl-Compress-Zlib perl-IO-String perl-IO-Zlib
Version:        1.30
Release:        22.1
Provides:       perl_tar
Obsoletes:      perl_tar
Requires:       perl = %{perl_version}
Autoreqprov:    on
Group:          Development/Libraries/Perl
License:        Artistic License
Summary:        Perl module for creation and manipulation of tar files
Source:         Archive-Tar-%{version}.tar.bz2
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
Perl module for creation and manipulation of tar files



Authors:
--------
    Stephen Zander <gibreel@pobox.com>

%debug_package
%prep
%setup -q -n Archive-Tar-%{version}
# ---------------------------------------------------------------------------

%build
perl Makefile.PL
make
make test
# ---------------------------------------------------------------------------

%install
[ "$RPM_BUILD_ROOT" != "/" ] && [ -d $RPM_BUILD_ROOT ] && rm -rf $RPM_BUILD_ROOT
make DESTDIR=$RPM_BUILD_ROOT install_vendor
%perl_process_packlist

%clean
[ "$RPM_BUILD_ROOT" != "/" ] && [ -d $RPM_BUILD_ROOT ] && rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%dir %{perl_vendorlib}/Archive
%{perl_vendorlib}/Archive/Tar.pm
%{perl_vendorlib}/Archive/Tar
%dir %{perl_vendorarch}/auto/Archive
%{perl_vendorarch}/auto/Archive/Tar
%doc %{_mandir}/man?/*.gz
/var/adm/perl-modules/perl-Archive-Tar
/usr/bin/*
%doc MANIFEST README

%changelog
* Wed Sep 13 2006 - anicka@suse.cz
- update to 1.30
  * bugfixes, documentation added
* Thu Jul 13 2006 - anicka@suse.cz
- update to 1.29
  * tardiff and new manpages added
* Wed Jan 25 2006 - mls@suse.de
- converted neededforbuild to BuildRequires
* Thu Sep 29 2005 - dmueller@suse.de
- add missing %%defattr
* Wed Sep 28 2005 - dmueller@suse.de
- add norootforbuild
* Mon Jul 11 2005 - schubi@suse.de
- update to 1.24
* Thu Apr 14 2005 - schubi@suse.de
- update to most recent version 1.23
* Thu Feb 26 2004 - choeger@suse.de
- update to most recent version 1.08
* Fri Aug 22 2003 - mjancar@suse.cz
- require the perl version we build with
* Thu Jul 17 2003 - choeger@suse.de
- use install_vendor and new %%perl_process_packlist macro
* Tue Jun 17 2003 - choeger@suse.de
- updated filelist
- update to version 0.23
* Mon May 19 2003 - choeger@suse.de
- remove installed (but unpackaged) file perllocal.pod
* Thu Aug 08 2002 - mls@suse.de
- use macro in filelist
* Tue Jul 02 2002 - mls@suse.de
- remove race in .packlist generation
* Thu Aug 16 2001 - ro@suse.de
- renamed to perl-Archive-Tar
- bzipped source
* Tue Apr 10 2001 - ro@suse.de
- added group tag
- this package should probably be renamed to perl-Archive-Tar
* Wed Jul 19 2000 - choeger@suse.de
- first version, v0.22
